Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » PHP Development Tools (PDT) » Fails to install org.eclipse.php.importer
Fails to install org.eclipse.php.importer [message #1765149] Wed, 07 June 2017 05:36
Alain Bonnefoy is currently offline Alain BonnefoyFriend
Messages: 1
Registered: June 2017
Junior Member
Hello,
Since last automatic update, every time I start Eclipse, it tries to install org.eclipse.php.importer but fails with the following error:

Executing startup tasks
Java(TM) SE Runtime Environment 1.8.0_131-b11
Product org.eclipse.products.epp.package.php.oxygen
Workspace C:\Users\Alain\workspace
Bundle org.eclipse.oomph.setup 1.8.0.v20170408-0745, build=3025, branch=9c793033181f462770594c3bc61db1a4678f8a63
Bundle org.eclipse.oomph.setup.core 1.8.0.v20170531-0903, build=3044, branch=2161405b80cf99ed791602ba56cdf44084f5ca43
Bundle org.eclipse.oomph.setup.p2 1.8.0.v20170318-0419, build=3025, branch=9c793033181f462770594c3bc61db1a4678f8a63
Performing P2 Director (Eclipse IDE for PHP Developers (Oxygen))
Offline = false
Mirrors = true
Resolving 20 requirements from 3 repositories to C:\Users\Alain\eclipse\php-oxygen\eclipse
Requirement epp.package.php [4.7.0,4.8.0)
Requirement org.eclipse.platform.feature.group [4.7.0,4.8.0)
Requirement org.eclipse.rcp.feature.group [4.7.0,4.8.0)
Requirement org.eclipse.egit.feature.group
Requirement org.eclipse.egit.gitflow.feature.feature.group
Requirement org.eclipse.egit.mylyn.feature.group
Requirement org.eclipse.mylyn.bugzilla_feature.feature.group
Requirement org.eclipse.mylyn.context_feature.feature.group
Requirement org.eclipse.mylyn.github.feature.feature.group
Requirement org.eclipse.mylyn.ide_feature.feature.group
Requirement org.eclipse.mylyn.wikitext_feature.feature.group
Requirement org.eclipse.mylyn_feature.feature.group
Requirement org.eclipse.php.composer.feature.group
Requirement org.eclipse.php.feature.group
Requirement org.eclipse.php.importer.feature.group
Requirement org.eclipse.php.mylyn.feature.group
Requirement org.eclipse.tm.terminal.feature.feature.group
Requirement org.eclipse.wst.jsdt.feature.feature.group
Requirement org.eclipse.wst.xml_ui.feature.feature.group
Requirement org.eclipse.oomph.setup.feature.group
Repository http://download.eclipse.org/technology/epp/packages/oxygen
Repository http://download.eclipse.org/releases/oxygen
Repository http://download.eclipse.org/oomph/updates/milestone/latest
Adding repository http://download.eclipse.org/technology/epp/packages/oxygen
Adding repository http://download.eclipse.org/oomph/updates/milestone/latest
Adding repository http://download.eclipse.org/releases/oxygen
Calculating requirements and dependencies.
Cannot complete the request. Generating details.
ERROR: org.eclipse.equinox.p2.director code=10053 Cannot complete the install because one or more required items could not be found.
at org.eclipse.oomph.util.OomphPlugin.coreException(OomphPlugin.java:280)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.resolve(ProfileTransactionImpl.java:425)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:337)
at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:729)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3324)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.access$1(SetupTaskPerformer.java:3267)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil$1.run(SetupTaskPerformer.java:4494)
at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2240)
at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2267)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil.performNeededSetupTasks(SetupTaskPerformer.java:4488)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil.access$0(SetupTaskPerformer.java:4486)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3258)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3233)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3133)
at org.eclipse.oomph.setup.ui.wizards.ProgressPage$9.run(ProgressPage.java:567)
at org.eclipse.oomph.setup.ui.wizards.ProgressPage$11$1.run(ProgressPage.java:693)
at org.eclipse.core.internal.jobs.Worker.run(Worker.java:56)
ERROR: org.eclipse.equinox.p2.director code=0 Software being installed: artificial_root 1.0.0.v1496812883412
ERROR: org.eclipse.equinox.p2.director code=0 Missing requirement: artificial_root 1.0.0.v1496812883412 requires 'org.eclipse.php.importer.feature.group 0.0.0' but it could not be found

Took 7 seconds.
There are failed tasks.
Press Back to choose different settings or Cancel to abort.



-- Configuration Details --
Product: Eclipse 4.7.0.20170601-0550 (org.eclipse.epp.package.php.product)Installed Features:
org.eclipse.platform 4.7.0.v20170524-2000


How to solve it?
Regards,
Alain
Previous Topic:How to configure Eclipse to debug Drupal/PHP on a remote development server?
Next Topic:Instantiate PHP Model
Goto Forum:
  


Current Time: Fri Sep 21 12:16:27 GMT 2018

Powered by FUDForum. Page generated in 0.03486 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top